• 1.14.6 - 22.03.2026
	○ Fixes on Emulator Home Screen
	○ Fixes on Colosseum Mode
	○ Fixes on Dark Cathedral Mode
	○ Fixes on Dungeon Mode
	○ Fixes on Gem Bay Mode
	○ Fixes on Invasions Mode
	○ Fixes on Lighthouse Mode
	○ Fixes on PvP Mode
	○ Fixes on Tournament Mode
	○ Fixes on Tower Mode
	○ Minor fixes and improvements

• 1.14.5 - 10.11.2025
	○ Fixes on Dungeon Mode
	○ Minor fixes and improvements

• 1.14.4 - 20.07.2025
	○ Fixes on Gem Bay Mode
	○ Minor fixes and improvements

• 1.14.3 - 14.05.2025
	○ Fixes on Dark Cathedral Mode
	○ Fixes on Tournament Mode
	○ Fixes on PvP Mode
	○ Fixes on Lighthouse Mode
	○ Minor fixes and improvements

• 1.14.2 - 04.05.2025
	○ Fixes on Quick Attack function in all modes
	○ Fixes on PvP Mode
	○ Fixes on Colosseum Mode
	○ Minor fixes and improvements

• 1.14.1 - 13.01.2025
	○ Minor fixes and improvements

• 1.14.0 - 18.12.2024
	○ Added configuration: telegram_id
	○ Removed configuration: alarm_duration, stop_suspicious_activity
	○ Added solving Suspicious Activity puzzle remotely over Telegram
	○ Renewed balloons and resources collection mechanism
	○ Fixed overlapping map button in Castle screen
	○ Minor fixes and improvements

• 1.13.24 - 30.11.2024
	○ Minor fixes and improvements

• 1.13.23 - 29.11.2024
	○ Added configuration: use_portal_spells
	○ Removed configuration: emulator
	○ Added Portal spells usage
	○ Removed battle logging mechanism for faster execution
	○ Minor fixes and improvements

• 1.13.22 - 30.10.2024
	○ Minor fixes and improvements

• 1.13.21 - 26.10.2024
	○ Minor fixes and improvements

• 1.13.20 - 05.09.2024
	○ Minor fixes and improvements

• 1.13.19 - 17.08.2024
	○ Minor fixes and improvements

• 1.13.18 - 08.08.2024
	○ Updated Island Event Mode

• 1.13.17 - 24.07.2024
	○ Minor fixes and improvements

• 1.13.16 - 22.07.2024
	○ Minor fixes and improvements

• 1.13.15 - 16.07.2024
	○ Minor fixes and improvements

• 1.13.14 - 18.06.2024
	○ Added configuration: quick_attack
	○ Added Quick Attack button use
	○ Improvements on Tournament Mode
	○ Improvements on Dark Cathedral Mode
	○ Minor fixes and improvements

• 1.13.13 - 07.06.2024
	○ Updated Game Logo
	○ Fixes on Tournament Mode
	○ Minor fixes and improvements

• 1.13.12 - 05.06.2024
	○ Added My.Games Support
	○ Updated Island Event Mode
	○ Minor fixes and improvements

• 1.13.11 - 24.05.2024
	○ Minor fixes and improvements

• 1.13.10 - 02.12.2023
	○ Minor fixes and improvements

• 1.13.9 - 29.10.2023
	○ Fixes on Invasions Mode

• 1.13.8 - 17.09.2023
	○ Minor fixes and improvements

• 1.13.7 - 15.08.2023
	○ Minor fixes and improvements

• 1.13.6 - 29.07.2023
	○ Minor fixes and improvements

• 1.13.5 - 21.07.2023
	○ Event mode is adapted to the new event
	○ Minor fixes and improvements

• 1.13.4 - 22.06.2023
	○ Dungeon Squad Deployment is updated
	○ Hero Relic usage is updated
	○ Minor fixes and improvements

• 1.13.3 - 15.05.2023
	○ Minor fixes and improvements

• 1.13.2 - 14.05.2023
	○ Minor fixes and improvements

• 1.13.1 - 13.05.2023
	○ Minor fixes and improvements

• 1.13.0 - 13.04.2023
	○ Tower Mode available
	○ Added configuration: tower, tower_deploy_previous_squads
	○ Minor fixes and improvements

• 1.12.0 - 11.04.2023
	○ Colosseum Mode available
	○ Added configuration: colosseum, colosseum_max_squad_power_scale, colosseum_max_reattack_defeated, colosseum_deploy_previous_squad, gem_bay_max_reattack_defeated, invasions_max_reattack_defeated, dungeon_max_reattack_defeated, dark_cathedral_max_reattack_defeated
	○ Minor fixes and improvements

• 1.11.21 - 25.03.2023
	○ Fixed Lighthouse Mode refreshing issue
	○ Fixed Dungeon Mode participation with friend issues

• 1.11.20 - 24.03.2023
	○ Added configuration: emulator_pid, teammate, friend_squad_power
	○ Participation to Dungeon with a friend is avaliable
	○ Added support for multiple instances of emulators
	○ Minor fixes and improvements

• 1.11.19 - 21.03.2023
	○ Event mode is adapted to the new event
	○ Minor fixes

• 1.11.18 - 26.01.2023
	○ Added configuration: max_new_dungeon_sleep_time, max_new_dark_cathedral_sleep_time
	○ Minor fixes and improvements

• 1.11.17 - 31.12.2022
	○ Minor fixes and improvements

• 1.11.16 - 28.12.2022
	○ Minor fixes and improvements

• 1.11.15 - 27.12.2022
	○ Improvements on Dark Cathedral Mode
	○ Improvements on Dungeon Mode
	○ Improvements on Tournament Mode
	○ Fixes on Tools
	○ Minor fixes and improvements

• 1.11.14 - 24.12.2022
	○ Added configuration: take_tool
	○ Fixed Tools
	○ Improvements on All Modes
	○ Minor fixes and improvements

• 1.11.13 - 12.12.2022
	○ Improvements on All Modes
	○ Minor fixes and improvements

• 1.11.12 - 07.12.2022
	○ Event mode is adapted to the new event
	○ Improvements on All Modes
	○ Minor fixes and improvements

• 1.11.11 - 01.12.2022
	○ Improvements on Squad Power recognition
	○ Minor fixes and improvements

• 1.11.10 - 18.11.2022
	○ Minor fixes and improvements on Lighthouse Mode

• 1.11.9 - 17.11.2022
	○ Minor fixes and improvements on Tournament Mode
	○ Minor fixes and improvements on Lighthouse Mode

• 1.11.8 - 16.11.2022
	○ Fixes for the game version 1.61.0

• 1.11.7 - 13.11.2022
	○ Minor fixes and improvements on Dark Cathedral Mode
	○ Minor fixes and improvements on Tournament Mode

• 1.11.6 - 07.11.2022
	○ Introducing Referral Program

• 1.11.5 - 04.11.2022
	○ Minor fixes and improvements on Dark Cathedral Mode
	○ Minor fixes and improvements on Dungeon Mode

• 1.11.4 - 02.11.2022
	○ Minor fixes and improvements on Dark Cathedral Mode
	○ Minor fixes and improvements on licensing system
	○ Minor fixes and improvements on exceptions

• 1.11.3 - 01.11.2022
	○ Minor fixes and improvements on Tournament Mode
	○ Minor fixes and improvements on Dark Cathedral Mode

• 1.11.2 - 31.10.2022
	○ Fixed received reward issue

• 1.11.1 - 31.10.2022
	○ Minor fixes and improvements

• 1.11.0 - 29.10.2022
	○ Dark Cathedral Mode available
	○ Added configuration: dark_cathedral_repeat_key, dark_cathedral_repeat_food, use_key_first, difficulty, dark_cathedral_deploy_previous_squad, blessing_priority, altar_sacrifice, altar_max_sacrifice, game_risk, camp
	○ Minor fixes and improvements

• 1.10.4 - 15.10.2022
	○ Fixed error at the start

• 1.10.3 - 15.10.2022
	○ Minor fixes and improvements

• 1.10.2 - 12.10.2022
	○ Added configuration: combat_deploy_right, maintenance_sleep_time
	○ Minor fixes and improvements

• 1.10.1 - 01.10.2022
	○ Removed configuration: invasions_all_battles
	○ Minor fixes and improvements

• 1.10.0 - 25.09.2022
	○ Dungeon Mode available
	○ Added configuration: dungeon_repeat_torch, dungeon_repeat_food, use_torch_first, dungeon_deploy_previous_squad, time_limit, tournament_repeat_ticket, tournament_repeat_food
	○ Removed configuration: repeat_ticket, repeat_food
	○ Minor fixes and improvements

• 1.9.3 - 31.08.2022
	○ Fixes for the game version 1.59.0

• 1.9.2 - 10.08.2022
	○ Added Tools support
	○ Mode execution order can be configurable
	○ Minor fixes and improvements

• 1.9.1 - 27.05.2022
	○ Fixed Lighthouse mode issues
	○ Fixed Portal mode issues

• 1.9.0 - 24.05.2022
	○ Lighthouse mode available
	○ Added configuration: lighthouse, lighthouse_max_squad_power_scale, lighthouse_max_reattack_defeated, pvp_reattack_defeated
	○ Removed configuration: reattack_defeated, pvp_hero_relic, island_hero_relic, gem_bay_hero_relic, invasions_hero_relic, portal_hero_relic
	○ Minor fixes and improvements

• 1.8.22 - 17.05.2022
	○ Event mode is adapted to the new event
	○ Fixed Gem Bay mode issues
	○ Minor fixes and improvements

• 1.8.21 - 29.04.2022
	○ Added configuration: invasions_all_battles
	○ Improvements on licensing system
	○ Minor fixes and improvements

• 1.8.20 - 24.02.2022
	○ Improvements on Tournament mode

• 1.8.19 - 02.02.2022
	○ Improvements on Tournament mode

• 1.8.18 - 22.01.2022
	○ Fixes on Tournament mode

• 1.8.17 - 20.01.2022
	○ Event mode is adapted to the new event
	○ Fixes on Gem Bay mode

• 1.8.16 - 07.12.2021
	○ Fixes on PvP mode
	○ Fixes on tournament strategies

• 1.8.15 - 07.12.2021
	○ Fixed Invasions mode issues
	○ Fixed Gem Bay mode issues
	○ Fixed PvP mode issues
	○ Fixed Tournament mode issues
	○ Improvements on licensing system
	○ Minor fixes and improvements

• 1.8.14 - 23.10.2021
	○ Minor fixes and improvements

• 1.8.13 - 17.09.2021
	○ Island Event mode is adapted to the new event
	○ Minor fixes and improvements

• 1.8.12 - 24.08.2021
	○ Restarts the game if it crashes in Memu emulator
	○ Minor fixes and improvements

• 1.8.11 - 20.08.2021
	○ Added configuration: alarm_duration, ad_duration
	○ Suspicious Magical Activity Screen alarm duration is configurable
	○ Low Food and Battle Defeat Ad pausing duration is configurable
	○ PvP mode is adapted to game update
	○ Restarts the game if it crashes in Nox emulator
	○ Minor fixes and improvements

• 1.8.10 - 16.08.2021
	○ Minor fixes and improvements

• 1.8.9 - 13.08.2021
	○ Fixed PvP mode squad power issue

• 1.8.8 - 08.08.2021
	○ Fixed Portal mode problem after game update
	○ Minor fixes and improvements

• 1.8.7 - 21.07.2021
	○ Added configuration: gem_bay_deploy_previous_squad, tournament_deploy_previous_squad
	○ Removed configuration: deploy_previous_squad
	○ Fixed Tournament mode start
	○ Fixed Gem Bay mode reward collection 
	○ Shortened Suspicious Magical Activity Screen alarm
	○ Minor fixes and improvements

• 1.8.6 - 21.05.2021
	○ Island Event mode is adapted to the new event
	○ Minor fixes and improvements

• 1.8.5 - 03.05.2021
	○ New tournament strategies (15, 16,17)
	○ Minor fixes and improvements

• 1.8.4 - 20.04.2021
	○ Fixes after game update

• 1.8.3 - 18.04.2021
	○ Fixes after game update

• 1.8.2 - 06.04.2021
	○ Fixed Gem Bay reward collection issue

• 1.8.1 - 17.03.2021
	○ Minor fixes and improvements

• 1.8.0 - 16.03.2021
	○ Balloons and resources in the castle can be collected
	○ Added configuration: stop_suspicious_activity, collect_balloons, collect_resources
	○ Minor fixes and improvements

• 1.7.2 - 27.02.2021
	○ Fixed Portal screen issue in some cases

• 1.7.1 - 21.02.2021
	○ Fixed Gem Bay Claim Reward issue in some cases
	○ Fixed Castle Attacked issue
	○ Fixed unfinished Island Map issue
	○ Fixed refreshing Island Map with warning screen issue
	○ Minor fixes and improvements

• 1.7.0 - 18.02.2021
	○ Which emulator to be used can be selected: nox, memu, or auto
	○ All modes can be repeatable
	○ Added configuration: emulator, repeat_all, max_new_loop_sleep_time
	○ Island Event mode is adapted to the new event
	○ Major performance improvements
	○ Minor fixes and improvements

• 1.6.8 - 23.01.2021
	○ Fixed issues with Hammer reward

• 1.6.7 - 21.01.2021
	○ Fixed Invasion mode problem after game update
	○ Minor fixes and improvements

• 1.6.6 - 18.12.2020
	○ Added configuration: invasions_hero_relic, gem_bay_hero_relic, pvp_hero_relic, portal_hero_relic, island_hero_relic
	○ Removed configuration: hero_relic
	○ Minor fixes and improvements

• 1.6.5 - 05.12.2020
	○ Added configuration: auto_start, force_max_level, invasions_low_health_battle, pvp_low_health_battle, portal_low_health_battle, island_low_health_battle, gem_bay_collect_reward, tournament_collect_reward
	○ Removed configuration: low_health_battle
	○ Fixed Invasion mode squad screen recognition problem after game update
	○ Fixed PvP mode squad screen recognition problem in some cases

• 1.6.4 - 10.11.2020
	○ Island Event mode is adapted to the new event
	○ Fixed wait screen in Gem Bay mode
	○ Fixed already under attack in PvP mode

• 1.6.3 - 24.10.2020
	○ Fixed Owner Online behaviour in PvP mode
	○ Added subscription info at start
	○ Added email notification for Suspicious Magical Activity
	○ Minor fixes and improvements

• 1.6.2 - 14.10.2020
	○ Fixed issues with Magnifying Glass reward
	○ Minor fixes and improvements

• 1.6.1 - 13.10.2020
	○ Fixed issues with Hammer reward
	○ Minor fixes and improvements

• 1.6.0 - 05.10.2020
	○ PvP mode available
	○ Added configuration: repeat_pvp, pvp_max_squad_power_scale, change_opponent, reattack_defeated, pvp_min_gold, pvp_min_mana, pvp_min_wood, pvp_min_iron, pvp_min_mithril
	○ Fixed repeating and finishing issues of GemBay

• 1.5.6 - 18.09.2020
	○ Fixed issues with Card rewards

• 1.5.5 - 17.09.2020
	○ Island Event mode is adapted to the new event
	○ Fixed Gem Bay adding reserve for squad with less than 12 dwellers
	○ Perfomance improvements
	○ Minor fixes and improvements

• 1.5.4 - 07.09.2020
	○ New tournament strategy (13)
	○ Changes in licensing mechanism to avoid false invalid or expired results
	○ Added emulator window size checking
	○ Added map sliding if related locations are not visible
	○ Minor fixes and improvements

• 1.5.3 - 25.07.2020
	○ Fixed Tournament claim reward issues
	○ Fixed Portal Level 80 issues
	○ Fixed Gem Bay repeating issues

• 1.5.2 - 23.07.2020
	○ Added configuration: previous_squad
	○ Fixed sticking on Vulnerable screen
	○ Minor fixes and improvements

• 1.5.1 - 19.07.2020
	○ Fixed issues with Hammer reward
	○ Portal mode is adapted to the game update
	○ Seven new tournament strategies (6, 7, 8, 9, 10, 11, 12)
	○ Added configuration: hero_relic
	○ Minor fixes and improvements

• 1.5.0 - 05.07.2020
	○ Gem Bay is available
	○ Added configuration: gem_bay, gem_bay_use_food
	○ Minor fixes and improvements

• 1.4.1 - 26.05.2020
	○ Fixed sticking on Castle Attacked screen

• 1.4.0 - 25.05.2020
	○ Island Event is available
	○ Added passing the conversation screens
	○ Added configuration: island_event, island_diamond_reset
	○ Minor fixes and improvements

• 1.3.3 - 23.05.2020
	○ Added an alarm sound for Suspicious Magical Activity screen (Beta-not tested, PC sound must be ON) 
	○ Two new tournament strategy (4, 5)
	○ Minor fixes and improvements

• 1.3.2 - 19.05.2020
	○ Tournament and Invasions mode are adapted to the game update

• 1.3.1 - 15.05.2020
	○ Fixed Portal issues

• 1.3.0 - 14.05.2020
	○ Portal mode is available (Beta)
	○ Added auto detection of the emulator, supported emulators are Nox and MEmu
	○ Removed configuration: emulator
	○ Added configuration: use_ticket_first, repeat_portal, max_portal_level
	○ Minor fixes especially of new Arena mechanism

• 1.2.1 - 09.05.2020
	○ Added MEmu support
	○ Added configuration: emulator, emulator_in_background
	○ Minor fixes and improvements

• 1.2.0 - 07.05.2020
	○ Bot can work when Nox is in background (not minimized)
	○ New super fast Arena mechanism
	○ Perfomance improvements
	○ Bot restarts Invasions if they did not appear at the start
	○ Bot can start Hustle Castle from Nox Home Screen
	○ Bot stops if the squad is incomplete
	○ Minor fixes and improvements

• 1.1.1 - 26.04.2020
	○ Minor fixes and improvements

• 1.1.0 - 26.04.2020
	○ Invasions mode is available (Beta)
	○ Perfomance improvements
	○ Minor fixes and improvements

• 1.0.2 - 19.04.2020
	○ Minor fixes and improvements

• 1.0.1 - 12.04.2020
	○ Initial release